GWGraphInternal::Style::Color Struct Reference

struct used to defined a color in a GWGraphInternal::Style More...

## Public Member Functions

| Color ()
| constructor More...
bool | isDefault () const
| returns true if the field is unchanged More...
MWAWColor | getColor () const
| return the final color More...

## Public Attributes

bool | m_hasPattern
| true if we have a pattern More...
MWAWColor | m_color [2]
| front and back color More...
float | m_patternPercent
| the percent pattern More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Color const &color)
| operator<< More...

## Detailed Description

struct used to defined a color in a GWGraphInternal::Style

## Constructor & Destructor Documentation

GWGraphInternal::Style::Color::Color | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWColor GWGraphInternal::Style::Color::getColor | ( |  | ) | const

inline

return the final color

Referenced by GWGraphInternal::Style::getColor().

bool GWGraphInternal::Style::Color::isDefault | ( |  | ) | const

inline

returns true if the field is unchanged

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Color const & | color
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWColor GWGraphInternal::Style::Color::m_color[2]

front and back color

Referenced by Color(), getColor(), isDefault(), and GWGraph::readStyle().

std::string GWGraphInternal::Style::Color::m_extra

extra data

bool GWGraphInternal::Style::Color::m_hasPattern

true if we have a pattern

Referenced by GWGraphInternal::Style::getColor(), getColor(), GWGraphInternal::Style::hasSurfaceColor(), isDefault(), GWGraph::readStyle(), and GWGraphInternal::Style::Style().

float GWGraphInternal::Style::Color::m_patternPercent

the percent pattern

Referenced by getColor(), isDefault(), GWGraph::readStyle(), and GWGraphInternal::Style::Style().

The documentation for this struct was generated from the following file:

- GWGraph.cxx